@use "../variables" as v;
@use "../mixins" as m;

.header {
  &__container {
    @include m.centre(x);
    @include m.safePadding(320);
    padding-top: 25px;
    margin-bottom: 23px;
    width: 320px;
    display: flex;
    flex-direction: column;
    align-items: flex-end;

    &-burger-icon {
      width: 44px;
      height: 37px;
      background: #000;
    }

    &-navigation {
      position: relative;
      display: flex;
      flex-direction: column;

      &-wrapper {
        position: absolute;
        right: 0;
        width: 182px;
        // display: none;
        background-color: #f5f5f5;

        .hide {
          display: none;
        }

        a {
          padding-left: 14px;
          color: v.$titleColor;
          text-decoration: none;
          text-transform: uppercase;
          font-size: 11px;
          line-height: 200%;

          &:hover {
            color: v.$activeColor;
          }
        }

        &-item {
        }
        &-item:active {
          background-color: #e5e5e5;
        }
      }
    }
  }
}

//burger start
.header__container-burger-icon {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 6px;
  cursor: pointer;
}

.bar1,
.bar2,
.bar3 {
  width: 17px;
  height: 2px;
  background-color: white;

  transition: 0.4s;
}

/* Rotate first bar */
.change .bar1 {
  transform: rotate(-45deg) translate(-9px, 6px);
}

/* Fade out the second bar */
.change .bar2 {
  opacity: 0;
}

/* Rotate last bar */
.change .bar3 {
  transform: rotate(45deg) translate(-8px, -8px);
}
//burger end

.main__container {
  width: v.$mobile;
  @include m.safePadding(320);
  @include m.centre(x);
}
.main__intro-img {
  width: v.$mobile;
  object-fit: cover;
}

@media (min-width: v.$tablet) {
  .header {
    &__container {
      @include m.safePadding(768);
      width: v.$tablet;
      display: flex;
      align-items: center;

      &-burger-icon {
        display: none;
      }

      &-navigation {
        display: block;

        &-wrapper {
          position: static;
          display: flex;
          justify-content: space-between;
          width: 609px;
          background-color: #ffff;

          &-item--active {
            background-color: #ffff;
          }
        }
      }
    }
  }

  .main__container {
    width: v.$tablet;
    @include m.safePadding(768);
  }
  .main__intro-img {
    width: v.$tablet;
  }
}

@media (min-width: v.$desktop) {
  .header {
    &__container {
      @include m.safePadding(1200);
      width: v.$desktop;

      &-burger-icon {
      }

      &-navigation {
        &-wrapper {
          width: v.$desktop;
          width: 813px;

          &-item--active {
          }
        }
      }
    }
  }

  .main__container {
    width: v.$desktop;
    @include m.safePadding(1200);
  }
  .main__intro-img {
    width: v.$desktop;
  }
}
